Hooks:PostHook( WeaponFactoryTweakData, "init", "R870AttachModInit", function(self)

	--Silent Enforcer R870 stat fix
	if not BeardLib.Utils:FindMod("RestorationMod") then
		self.parts.wpn_fps_shot_shorty_s_nostock_short.stats = {value = 3, spread_moving = 2, recoil = 1, concealment = -1}		
		self.parts.wpn_fps_shot_r870_body_rack.stats = {value = 1, total_ammo_mod = 3, concealment = -1}
	end	
	
	
	-- Serbu Vertical Pump anim
	self.parts.wpn_fps_shot_870_fg_vertical.override_weapon = { 
		use_stance = "serbu_vg",
		weapon_hold = "ksg"
	}
	
	
	--Heat ironsight Part
	self.parts.wpn_fps_shot_mossberg_o_heat.stance_mod = {
		wpn_fps_shot_r870 = {
			translation = Vector3(0.1, -5, 0.1)
		}
	}
	
	
	--MCS stuff
	self.parts.wpn_fps_shot_870_iron_mcs.stance_mod = {
		wpn_fps_shot_r870 = {translation = Vector3(0, 0, -1.35), rotation = Rotation(0, 0, -0)},
	    wpn_fps_shot_serbu = {translation = Vector3(0, 0, -1.35), rotation = Rotation(0, 0, -0)}
	}
	self.parts.wpn_fps_shot_870_rail_mcs.stance_mod = {
		wpn_fps_shot_r870 = {translation = Vector3(0, 0, 0.35), rotation = Rotation(0, 0, -0)},
	    wpn_fps_shot_serbu = {translation = Vector3(0, 0, 0.35), rotation = Rotation(0, 0, -0)}
	}
	
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_specter.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_aimpoint.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_aimpoint_2.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_docter.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_eotech.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_t1micro.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_cmore.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_acog.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_cs.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_eotech_xps.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_reflex.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_rx01.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_rx30.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_spot.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_sig.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_bmg.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_uh.forbids = {"wpn_fps_shot_870_iron_mcs"}
	self.parts.wpn_fps_shot_870_rail_mcs.override.wpn_fps_upg_o_fc1.forbids = {"wpn_fps_shot_870_iron_mcs"}
	
	table.insert(self.parts.wpn_fps_shot_r870_s_folding.forbids, "wpn_fps_shot_870_rail_mcs")
    table.insert(self.parts.wpn_fps_shot_r870_s_nostock_big.forbids, "wpn_fps_shot_870_rail_mcs")
    table.insert(self.parts.wpn_fps_shot_r870_s_nostock_single.forbids, "wpn_fps_shot_870_rail_mcs")
    table.insert(self.parts.wpn_fps_shot_r870_s_solid_big.forbids, "wpn_fps_shot_870_rail_mcs")
    table.insert(self.parts.wpn_fps_shot_r870_s_solid_single.forbids, "wpn_fps_shot_870_rail_mcs")
    table.insert(self.parts.wpn_fps_shot_shorty_s_solid_short.forbids, "wpn_fps_shot_870_rail_mcs")
    table.insert(self.parts.wpn_fps_shot_shorty_s_nostock_short.forbids, "wpn_fps_shot_870_rail_mcs")
    
		
	--Heat barrel compatibility
	table.insert(self.parts.wpn_fps_shot_r870_s_nostock_big.forbids, "wpn_fps_shot_mossberg_b_heat")
	table.insert(self.parts.wpn_fps_shot_r870_s_solid_big.forbids, "wpn_fps_shot_mossberg_b_heat")
	
	
	--Hitman Absolution Aftermarket rail stuff
    self.parts.wpn_fps_shot_870_iron_aftermarket.stance_mod = {
		 wpn_fps_shot_r870 = {translation = Vector3(0, 0, -1.5), rotation = Rotation(0, 2.1, -0)},
	     wpn_fps_shot_serbu = {translation = Vector3(-0.01, 0, -2), rotation = Rotation(0, 4, -0)}
	}
	self.parts.wpn_fps_shot_mossberg_b_heat.override.wpn_fps_shot_870_iron_aftermarket.stance_mod = { wpn_fps_shot_r870 = {translation = Vector3(0, 0, -1.25), rotation = Rotation(0, 1.7, -0)}}
	self.parts.wpn_fps_shot_mossberg_b_heat.override.wpn_fps_shot_mossberg_o_heat.stance_mod = { wpn_fps_shot_r870 = {translation = Vector3(0.09, -5, 0.5), rotation = Rotation(0, 0, -0)}}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_specter.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_aimpoint.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_aimpoint_2.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_docter.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_eotech.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_t1micro.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_cmore.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_acog.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_cs.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_eotech_xps.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_reflex.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_rx01.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_rx30.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_spot.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_sig.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_bmg.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_uh.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	self.parts.wpn_fps_shot_870_rail_aftermarket.override.wpn_fps_upg_o_fc1.forbids = {"wpn_fps_shot_870_iron_aftermarket"}
	
	table.insert(self.parts.wpn_fps_shot_r870_s_folding.forbids, "wpn_fps_shot_870_rail_aftermarket")
    table.insert(self.parts.wpn_fps_shot_r870_s_nostock_big.forbids, "wpn_fps_shot_870_rail_aftermarket")
    table.insert(self.parts.wpn_fps_shot_r870_s_nostock_single.forbids, "wpn_fps_shot_870_rail_aftermarket")
    table.insert(self.parts.wpn_fps_shot_r870_s_solid_big.forbids, "wpn_fps_shot_870_rail_aftermarket")
    table.insert(self.parts.wpn_fps_shot_r870_s_solid_single.forbids, "wpn_fps_shot_870_rail_aftermarket")
    table.insert(self.parts.wpn_fps_shot_shorty_s_solid_short.forbids, "wpn_fps_shot_870_rail_aftermarket")
    table.insert(self.parts.wpn_fps_shot_shorty_s_nostock_short.forbids, "wpn_fps_shot_870_rail_aftermarket")
	
	
	--Stock compatibility
	if not self.parts.wpn_fps_upg_m4_g_ergo.forbids then
		self.parts.wpn_fps_upg_m4_g_ergo.forbids = {}
	end
	table.insert(self.parts.wpn_fps_upg_m4_g_ergo.forbids, "wpn_fps_shot_r870_s_hdtf")
	table.insert(self.parts.wpn_fps_upg_m4_g_ergo.forbids, "wpn_fps_shot_mossberg_s_grip")
	if not self.parts.wpn_fps_upg_m4_g_sniper.forbids then
		self.parts.wpn_fps_upg_m4_g_sniper.forbids = {}
	end
	table.insert(self.parts.wpn_fps_upg_m4_g_sniper.forbids, "wpn_fps_shot_mossberg_s_grip")
	table.insert(self.parts.wpn_fps_upg_m4_g_sniper.forbids, "wpn_fps_shot_r870_s_hdtf")
	if not self.parts.wpn_fps_upg_m4_g_hgrip.forbids then
		self.parts.wpn_fps_upg_m4_g_hgrip.forbids = {}
	end
	table.insert(self.parts.wpn_fps_upg_m4_g_hgrip.forbids, "wpn_fps_shot_mossberg_s_grip")
	table.insert(self.parts.wpn_fps_upg_m4_g_hgrip.forbids, "wpn_fps_shot_r870_s_hdtf")
	if not self.parts.wpn_fps_upg_m4_g_mgrip.forbids then
		self.parts.wpn_fps_upg_m4_g_mgrip.forbids = {}
	end
	table.insert(self.parts.wpn_fps_upg_m4_g_mgrip.forbids, "wpn_fps_shot_mossberg_s_grip")
	table.insert(self.parts.wpn_fps_upg_m4_g_mgrip.forbids, "wpn_fps_shot_r870_s_hdtf")
	if not self.parts.wpn_fps_snp_tti_g_grippy.forbids then
		self.parts.wpn_fps_snp_tti_g_grippy.forbids = {}
	end
	table.insert(self.parts.wpn_fps_snp_tti_g_grippy.forbids, "wpn_fps_shot_mossberg_s_grip")
	table.insert(self.parts.wpn_fps_snp_tti_g_grippy.forbids, "wpn_fps_shot_r870_s_hdtf")
	
end )