Hooks:PostHook( WeaponTweakData, "init", "R870AttachModInit", function(self)

--Moving parts
if not self.r870.attachment_points then
	self.r870.attachment_points = {}
end
	table.list_append(self.r870.attachment_points, {
		{
			name = "a_o_mcs",
			base_a_obj = "a_o",
			position = Vector3(0, 5, -0.35),
			rotation = Rotation(0, 0, 0)
		},
		{
			name = "a_ns_heat",
			base_a_obj = "a_ns",
			position = Vector3(0, 5, 0),
			rotation = Rotation(0, 0, 0)
		},
	    {
			name = "a_fl_mcs",
			base_a_obj = "a_fl",
			position = Vector3(2.9, -5.8, 3.9),
			rotation = Rotation(0, 0, -90)
		}
	})

if not self.serbu.attachment_points then
	self.serbu.attachment_points = {}
end
	table.list_append(self.serbu.attachment_points, {
		{
			name = "a_fl_mcs",
			base_a_obj = "a_fl",
			position = Vector3(2.9, -5.8, 3.9),
			rotation = Rotation(0, 0, -90)
		},
		{
			name = "a_o_mcs",
			base_a_obj = "a_o",
			position = Vector3(0, 5, -0.35),
			rotation = Rotation(0, 0, 0)
		}
	})
	

-- Remington Shotgun stat fix by Silent Enforcer
if not BeardLib.Utils:FindMod("RestorationMod") then
	self.r870.CLIP_AMMO_MAX = 8
	self.r870.AMMO_MAX = 42
	self.r870.fire_mode_data.fire_rate = 0.462
	self.r870.single.fire_rate = 0.462
	self.r870.stats.spread = 13
	self.r870.stats.recoil = 10

	self.serbu.CLIP_AMMO_MAX = 6
	self.serbu.AMMO_MAX = 42
	self.serbu.stats.spread = 11
	self.serbu.stats.recoil = 9
end

end )